Index: source/index.html
===================================================================
--- source/index.html	(revision 322)
+++ source/index.html	(revision 0)
@@ -1,147 +1,7 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
-        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
+<html>
   <head>
     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-    <title>Plasma Formulary Interactive</title>
-    <link rel="icon" type="image/png" href="pf_icon.png" />
-
-    <style type="text/css">
-      body {
-        font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;
-        font-size:   12pt;
-      }
-      
-      span.interactive:hover {
-        font-style: oblique;
-      }
-      
-      table {
-        width:        800px;
-        padding:      6px;
-        margin-left:  auto;
-        margin-right: auto;
-        margin-top:   20px;
-        border:       2px solid #808080;
-        background:   #ffffe7;
-      }
-      td.button {
-        width: 25%;
-      }
-      
-      p.text {
-        text-align:  justify;
-        text-indent: 20pt;
-      }
-      
-      input {
-        width:       150px;
-        border:      1px solid #808080;
-        margin:      2px;
-        background:  #e0e0f0;
-        font-size:   12pt;
-        font-weight: bold;
-      }
-      input:hover {
-        border:     2px solid blue;
-        margin:     1px;
-        background: #b0e0ff;
-      }
-      
-      img {
-        border: 0px;
-      }
-    </style>
-
+    <title>Custom Application</title>
+    <script type="text/javascript" src="script/pf.js"></script>
   </head>
-  <body>
-
-    <noscript>
-      <p>
-        JavaScript is <span style="color:red;">disabled</span>! Please enable it
-        in order to use <i>Plasma Formulary</i>.
-      </p>
-    </noscript>
-
-    <table>
-      <tr align="center">
-        <td colspan="4">
-          <h1>Plasma Formulary <span class="interactive">Interactive</span></h1>
-        </td>
-      </tr>
-      <tr><td colspan="4">
-        <p class="text">
-          <i>Plasma Formulary</i> is an interactive, Web-based application that
-          provides a comfortable access to evaluating, comparing, and plotting
-          of a multitude of different plasma and atomic physics parameters,
-          grouped by the unit dimensions. A special attention is devoted to the
-          Stark broadening which is calculated with a good accuracy for
-          transitions between degenerate atomic levels. The list of the entities
-          calculated encompasses over one hundred entries and is easily
-          expandable.
-        </p>
-        <p class="text">
-          The application is built using open-source components and is
-          compatible with a majority of modern browsers.
-        </p>
-      </td></tr>
-      <tr align="center">
-        <td class="button">
-          <input type="button" value="User's Guide" 
-            onclick="window.open('resource/pf/html/ug.html',
-                                 'ug', 'width=850,scrollbars=1')"/>
-        </td>
-        <td class="button">
-          <input type="button" value="Reference" 
-            onclick="window.open('http://dx.doi.org/10.1088/1748-0221/6/10/P10009',
-                                 'gpl', 'width=850,scrollbars=1')"/>
-        </td>
-        <td class="button">
-          <input type="button" value="License Terms" 
-            onclick="window.open('resource/pf/html/GPL.html',
-                                 'gpl', 'width=850,scrollbars=1')"/>
-        </td>
-        <td class="button">
-          <input type="button" value="Development" 
-            onclick="window.location='http://plasma-gate.weizmann.ac.il/pf/trac'"/>
-        </td>
-      </tr>
-      <tr align="center">
-        <td class="button" colspan="2">
-          <input type="button" value="Download" 
-            onclick="window.location='pf.zip'"/>
-        </td>
-
-        <td class="button" colspan="2">
-        <p>
-          <input type="button" value="Launch Now!" 
-            onclick="window.open('pf.html','pf','width=800,height=550')"/>
-        </p>
-        </td>
-      </tr>
-      <tr>
-        <td align="left">
-          <a href="http://www.opensource.org/" target="_blank">
-            <img src="resource/pf/image/opensource.png"
-                 alt="Open Source Initiative"
-                 style="width:64px;height:64px;vertical-align:middle" /></a>
-          <a href="http://www.qooxdoo.org/" target="_blank">
-            <img src="resource/pf/image/qx_powered.png"
-                 alt="Qooxdoo"
-                 style="width:91px;height:43px;vertical-align:middle" /></a>
-        </td>
-        <td colspan="2"/>
-        <td align="right">
-          <a href="http://jigsaw.w3.org/css-validator/check/referer" target="_blank">
-            <img src="resource/pf/image/valid-css3.png"
-                 alt="Valid CSS"
-                 style="width:88px;height:31px;vertical-align:middle" /></a>
-          <a href="http://validator.w3.org/check?uri=referer" target="_blank">
-            <img src="resource/pf/image/valid-xhtml10.png"
-                 alt="Valid XHTML 1.0 Strict"
-                 style="width:88px;height:31px;vertical-align:middle" /></a>
-        </td>
-      </tr>
-    </table>
-  </body>
 </html>