Index: source/class/pf/Application.js
===================================================================
--- source/class/pf/Application.js	(revision 316)
+++ source/class/pf/Application.js	(revision 327)
@@ -2095,4 +2095,12 @@
                 "pf/image/help.png", q);
             submenu.add(btn);
+            btn = new qx.ui.menu.Button("Reference Paper",
+                "pf/image/jinst.png");
+            btn.addListener("execute", function (ev) {
+                    var url = "http://dx.doi.org/10.1088/1748-0221/6/10/P10009";
+                    var w = qx.bom.Window.open(url, null, nvOptions);
+                }, this);
+            submenu.add(btn);
+            submenu.add(new qx.ui.menu.Separator);
             btn = new qx.ui.menu.Button("NRL Plasma Formulary",
                 "pf/image/nrl.png");
@@ -2467,5 +2475,5 @@
         createSaveLoadDialog : function()
         {
-            var w, layout, rc1, e, btn;
+            var w, rc1, e, btn;
             // "Save as..." dialog
             w = new pf.ui.DialogWindow();
@@ -2482,16 +2490,8 @@
             var btn_rename = new qx.ui.toolbar.Button("Rename",
                 "pf/image/rename.png");
-            var btn_export = new qx.ui.toolbar.Button("Export",
-                "pf/image/export.png");
-            var btn_import = new qx.ui.toolbar.Button("Import",
-                "pf/image/import.png");
             btn_delete.setEnabled(false);
             btn_rename.setEnabled(false);
-            btn_export.setEnabled(false);
             tbpart.add(btn_delete);
             tbpart.add(btn_rename);
-            tbpart.add(new qx.ui.toolbar.Separator());
-            tbpart.add(btn_export);
-            tbpart.add(btn_import);
             tb.add(tbpart);
             w.add(tb);
@@ -2525,77 +2525,4 @@
             var sm = lv.getSelectionModel();
             sm.setSelectionMode(qx.ui.table.selection.Model.SINGLE_SELECTION);
-            
-            // Export/import window
-            var eiw = new pf.ui.DialogWindow();
-            eiw.set({
-                width:  350,
-                height: 400
-            });
-            eiw.setResizable(true);
-            eiw.setLayout(new qx.ui.layout.VBox(0));
-            eiw.setContentPadding(0);
-            
-            var note = new qx.ui.basic.Label("Label", {height: 20});
-            eiw.add(note);
-                
-            var text_area = new qx.ui.form.TextArea();
-            text_area.setWrap(true);
-            eiw.add(text_area, {flex: 1});
-
-
-            layout = new qx.ui.layout.HBox(10, "right");
-            rc1 = new qx.ui.container.Composite(layout);
-            rc1.setMargin(10, 10, 10, 10);
-            eiw.add(rc1);
-
-            btn = new qx.ui.form.Button("Cancel", "pf/image/cancel.png");
-            btn.addListener("execute", function(ev) {
-                    eiw.close();
-                }, this);
-            rc1.add(btn);
-
-            btn = new qx.ui.form.Button("OK", "pf/image/ok.png");
-            btn.addListener("execute", function(ev) {
-                    var type = eiw.getUserData("type");
-                    if (type == "import") {
-                        var configstr = text_area.getValue();
-                        
-                        var config;
-                        try {
-                            config = qx.lang.Json.parse(configstr);
-                        } catch (err) {
-                            this.error(err);
-                        }
-
-                        if (config) {
-                            var name = config.name;
-                            
-                            var d = new Date();
-                            var time = d.getTime();
-            
-                            var configPtr = new Object;
-                            configPtr.name = name;
-                            configPtr.hash = time;
-                            configPtr.time = time;
-                            
-                            this.prefs.configPtrs.push(configPtr);
-                            
-                            var cookie_name = "pf_config_" + configPtr.hash;
-                            qx.bom.Cookie.set(cookie_name, configstr, 3650);
-                            
-                            this.savePreferences();
-                            this.updateSaveLoadList();
-                            
-                            eiw.close();
-                        } else {
-                            this.msgWindow.error("Cannot parse the configuration!");
-                        }
-                    } else {
-                        eiw.close();
-                    }
-                }, this);
-            rc1.add(btn);
-            
-            this.doc.add(eiw);
 
             btn_delete.addListener("execute", function(ev) {
@@ -2624,4 +2551,5 @@
                         var name = rowData[0];
                         
+                        
                         this.promptDialog.prompt("Rename \"" + name + "\" to",
                             name, function(newname) {
@@ -2639,57 +2567,4 @@
                 }, this);
 
-            btn_export.addListener("execute", function(ev) {
-                    if (!sm.isSelectionEmpty()) {
-                        var index = sm.getLeadSelectionIndex();
-                        var rowData = tm.getRowData(index);
-                        var name = rowData[0];
-                        
-                        var configPtr = this.getConfig(name);
-                        if (!configPtr) {
-                            return false;
-                        }
-
-                        var cookie_name = "pf_config_" + configPtr.hash;
-
-                        var configstr = qx.bom.Cookie.get(cookie_name);
-                        if (!configstr) {
-                            return false;
-                        }
-
-                        var config = qx.lang.Json.parse(configstr);
-                        config.name = name;
-
-                        text_area.setValue(
-                            qx.lang.Json.stringify(config, undefined, 4));
-                        
-                        eiw.setCaption("Export configuration")
-                        eiw.setIcon("pf/image/export.png");
-                        eiw.setUserData("type", "export");
-                        
-                        text_area.setReadOnly(true);
-                        
-                        var nstr =
-                            "Copy the contents below to a text editor and save";
-                        note.setValue(nstr);
-                        
-                        eiw.open();
-                    }
-                }, this);
-
-            btn_import.addListener("execute", function(ev) {
-                    eiw.setCaption("Import configuration")
-                    eiw.setIcon("pf/image/import.png");
-                    eiw.setUserData("type", "import");
-
-                    text_area.setReadOnly(false);
-                    text_area.setValue("");
-
-                    var nstr =
-                        "Copy a previously saved config to the space below";
-                    note.setValue(nstr);
-
-                    eiw.open();
-                }, this);
-
             e = new qx.ui.form.TextField();
             e.setMarginTop(1);
@@ -2702,5 +2577,4 @@
                         btn_delete.setEnabled(false);
                         btn_rename.setEnabled(false);
-                        btn_export.setEnabled(false);
                     } else {
                         var index = sm.getLeadSelectionIndex();
@@ -2709,9 +2583,8 @@
                         btn_rename.setEnabled(true);
                         btn_delete.setEnabled(true);
-                        btn_export.setEnabled(true);
                     }
                 });
             
-            layout = new qx.ui.layout.HBox(10, "right");
+            var layout = new qx.ui.layout.HBox(10, "right");
             rc1 = new qx.ui.container.Composite(layout);
             rc1.setMargin(10, 10, 10, 10);
@@ -2875,13 +2748,10 @@
             var btn3 = new qx.ui.form.RadioButton("Simple");
             btn3.setModel("simple");
-            var btn4 = new qx.ui.form.RadioButton("Indigo");
-            btn4.setModel("indigo");
             
             fr.add(btn1);
             fr.add(btn2);
             fr.add(btn3);
-            fr.add(btn4);
-            
-            var rm = new qx.ui.form.RadioGroup(btn1, btn2, btn3, btn4);
+            
+            var rm = new qx.ui.form.RadioGroup(btn1, btn2, btn3);
             var sels;
             switch (this.prefs.themeName) {
@@ -2891,7 +2761,4 @@
             case "simple":
                 sels = new Array(btn3);
-                break;
-            case "indigo":
-                sels = new Array(btn4);
                 break;
             default:
@@ -2920,7 +2787,4 @@
                 theme = qx.theme.Simple;
                 break;
-            case "indigo":
-                theme = qx.theme.Indigo;
-                break;
             default:
                 theme = pf.theme.Modern;
@@ -2984,5 +2848,5 @@
             this.bl_top = new qx.ui.container.Composite(layout);
 
-            this.doc.add(this.bl_top, {width :"100%", height: "100%"});
+            this.doc.add(this.bl_top, {width :'100%', height: "100%"});
 
             // The menubar
Index: source/class/pf/Plasma.js
===================================================================
--- source/class/pf/Plasma.js	(revision 317)
+++ source/class/pf/Plasma.js	(revision 305)
@@ -259,16 +259,4 @@
         },
         
-        getFermiVelocity: function()
-        {
-            return Math.sqrt(2*this.getFermiEnergy());
-        },
-        
-        getFermiLength: function()
-        {
-            var n_e = this.e.getN();
-            var E_F = this.getFermiEnergy();
-            return Math.sqrt(E_F/(6*Math.PI*n_e));
-        },
-        
         getAlfvenVelocity: function()
         {
@@ -343,19 +331,4 @@
                    this.i.getMassDensity() +
                    this.r.getMassDensity();
-        },
-        
-        // griem:1997a, Eq (7.75)
-        getLteNe: function()
-        {
-            var Z_core = this.r.getZcore();
-            var E12 = 3.0/8.0*Z_core*Z_core;
-            return 5/Math.sqrt(Math.PI)*pf.base.Bohr.alpha3*
-                Math.pow(E12, 3)*Math.sqrt(2*this.e.getT());
-        },
-        
-        dE2dWl: function(dE)
-        {
-            var E = this.r.getTransitionEnergy();
-            return (2*Math.PI)*pf.base.Bohr.c*dE/(E*E);
         },
 