Index: source/entities.js
===================================================================
--- source/entities.js	(revision 349)
+++ source/entities.js	(revision 354)
@@ -61,5 +61,6 @@
         nspecies  : 1,
         section   : "fundamental",
-        formula   : "return s1.getMinApproachDistance()"
+        formula   : "return s1.getMinApproachDistance()",
+        wikiLink  : "Coulomb_collision"
     },
     {
@@ -107,5 +108,6 @@
         nspecies  : 1,
         section   : "fundamental",
-        formula   : "return s1.getCoupling()"
+        formula   : "return s1.getCoupling()",
+        wikiLink  : "Plasma_parameter"
     },
     {
@@ -116,5 +118,6 @@
         section   : "spectroscopy",
         formula   : "var r = s1.getTypicalDistance()/s1.getDebyeLength(); \
-                     return (1 + r)*Math.exp(-r)"
+                     return (1 + r)*Math.exp(-r)",
+        wikiLink  : "Debye_length"
     },
 
@@ -125,5 +128,6 @@
         nspecies  : 0,
         section   : "spectroscopy",
-        formula   : "return this.plasma.r.getTransitionEnergy()"
+        formula   : "return this.plasma.r.getTransitionEnergy()",
+        wikiLink  : "Energy_spectrum"
     },
     {
@@ -133,5 +137,6 @@
         nspecies  : 0,
         section   : "spectroscopy",
-        formula   : "return this.plasma.r.getNaturalWidth()"
+        formula   : "return this.plasma.r.getNaturalWidth()",
+        wikiLink  : "Spontaneous_emission"
     },
     {
@@ -141,5 +146,6 @@
         nspecies  : 0,
         section   : "spectroscopy",
-        formula   : "return this.plasma.dE2dWl(this.plasma.r.getNaturalWidth())"
+        formula   : "return this.plasma.dE2dWl(this.plasma.r.getNaturalWidth())",
+        wikiLink  : "Spontaneous_emission"
     },
     {
@@ -185,5 +191,6 @@
         nspecies  : 0,
         section   : "spectroscopy",
-        formula   : "return 2*this.plasma.getZeemanSplitting()"
+        formula   : "return 2*this.plasma.getZeemanSplitting()",
+        wikiLink  : "Zeeman_effect"
     },
     {
@@ -193,5 +200,6 @@
         nspecies  : 0,
         section   : "spectroscopy",
-        formula   : "return this.plasma.dE2dWl(2*this.plasma.getZeemanSplitting())"
+        formula   : "return this.plasma.dE2dWl(2*this.plasma.getZeemanSplitting())",
+        wikiLink  : "Zeeman_effect"
     },
     {
@@ -201,5 +209,6 @@
         nspecies  : 0,
         section   : "spectroscopy",
-        formula   : "return 2*this.plasma.getStarkHwhm()"
+        formula   : "return 2*this.plasma.getStarkHwhm()",
+        wikiLink  : "Stark_effect"
     },
     {
@@ -209,5 +218,6 @@
         nspecies  : 0,
         section   : "spectroscopy",
-        formula   : "return this.plasma.dE2dWl(2*this.plasma.getStarkHwhm())"
+        formula   : "return this.plasma.dE2dWl(2*this.plasma.getStarkHwhm())",
+        wikiLink  : "Stark_effect"
     },
     {
@@ -218,5 +228,6 @@
         prepos    : "due to",
         section   : "spectroscopy",
-        formula   : "return 2*this.plasma.getQsHwhm(s1)*this.plasma.getStarkQuasistaticity(s1)"
+        formula   : "return 2*this.plasma.getQsHwhm(s1)*this.plasma.getStarkQuasistaticity(s1)",
+        wikiLink  : "Stark_effect"
     },
 
@@ -329,5 +340,6 @@
         nspecies  : 0,
         section   : "spectroscopy",
-        formula   : "return pf.base.Bohr.c/this.plasma.r.getTransitionEnergy()*(2*Math.PI)"
+        formula   : "return pf.base.Bohr.c/this.plasma.r.getTransitionEnergy()*(2*Math.PI)",
+        wikiLink  : "Energy_spectrum"
     },
     {
@@ -337,5 +349,6 @@
         nspecies  : 0,
         section   : "spectroscopy",
-        formula   : "return this.plasma.r.getTransitionEnergy()/(2*Math.PI)"
+        formula   : "return this.plasma.r.getTransitionEnergy()/(2*Math.PI)",
+        wikiLink  : "Energy_spectrum"
     },
 
@@ -366,5 +379,5 @@
         section   : "spectroscopy",
         formula   : "return this.plasma.e.getN()/this.plasma.getLteNe()",
-        wikiLink  : "Einstein_coefficients"
+        wikiLink  : "Local_thermodynamic_equilibrium"
     },
     
@@ -464,9 +477,10 @@
     {
         id        : "total_pressure",
-        name      : "Total pressure",
+        name      : "Total gas pressure",
         dimension : "pressure",
         nspecies  : 0,
         section   : "fundamental",
-        formula   : "return this.plasma.getPressure()"
+        formula   : "return this.plasma.getPressure()",
+        wikiLink  : "Ideal_gas"
     },
     
@@ -497,5 +511,6 @@
         nspecies  : 2,
         section   : "collisions",
-        formula   : "return this.plasma.getRelaxationRate(s1, s2)"
+        formula   : "return this.plasma.getRelaxationRate(s1, s2)",
+        wikiLink  : "Coulomb_collision"
     },
 