Index: source/class/pf/Application.js
===================================================================
--- source/class/pf/Application.js	(revision 340)
+++ source/class/pf/Application.js	(revision 341)
@@ -1987,15 +1987,15 @@
             var menubar = this.menubar;
             
-            var submenu, btn, q;
+            var submenu, btn, qc;
 
             submenu = new qx.ui.menu.Menu;
             this.doc.add(submenu);
-            q = new qx.ui.core.Command("Ctrl+O");
-            q.addListener("execute", this.openCB, this);
-            btn = new qx.ui.menu.Button("Open...", "pf/image/open.png", q);
+            qc = new qx.ui.core.Command("Ctrl+O");
+            qc.addListener("execute", this.openCB, this);
+            btn = new qx.ui.menu.Button("Open...", "pf/image/open.png", qc);
             submenu.add(btn);
-            q = new qx.ui.core.Command("Ctrl+S");
-            q.addListener("execute", this.saveConfigCB, this);
-            btn = new qx.ui.menu.Button("Save", "pf/image/save.png", q);
+            qc = new qx.ui.core.Command("Ctrl+S");
+            qc.addListener("execute", this.saveConfigCB, this);
+            btn = new qx.ui.menu.Button("Save", "pf/image/save.png", qc);
             submenu.add(btn);
             btn = new qx.ui.menu.Button("Save as...", "pf/image/save.png");
@@ -2003,23 +2003,23 @@
             submenu.add(btn);
             submenu.add(new qx.ui.menu.Separator);
-            q = new qx.ui.core.Command("Ctrl+P");
-            q.addListener("execute", function(ev) {
+            qc = new qx.ui.core.Command("Ctrl+P");
+            qc.addListener("execute", function(ev) {
                 window.print();
             });
-            btn = new qx.ui.menu.Button("Print...", "pf/image/print.png", q);
+            btn = new qx.ui.menu.Button("Print...", "pf/image/print.png", qc);
             submenu.add(btn);
             submenu.add(new qx.ui.menu.Separator);
-            q = new qx.ui.core.Command("Ctrl+R");
-            q.addListener("execute", function(ev) {
+            qc = new qx.ui.core.Command("Ctrl+R");
+            qc.addListener("execute", function(ev) {
                     this.restart(false);
                 }, this);
-            btn = new qx.ui.menu.Button("Restart", "pf/image/reset.png", q);
+            btn = new qx.ui.menu.Button("Restart", "pf/image/reset.png", qc);
             submenu.add(btn);
             submenu.add(new qx.ui.menu.Separator);
-            q = new qx.ui.core.Command("Ctrl+Q");
-            q.addListener("execute", function(ev) {
+            qc = new qx.ui.core.Command("Ctrl+Q");
+            qc.addListener("execute", function(ev) {
                     this.quit(false);
                 }, this);
-            btn = new qx.ui.menu.Button("Quit", "pf/image/exit.png", q);
+            btn = new qx.ui.menu.Button("Quit", "pf/image/exit.png", qc);
             submenu.add(btn);
                 
@@ -2099,8 +2099,8 @@
             
             submenu.add(new qx.ui.menu.Separator);
-            q = new qx.ui.core.Command("Ctrl+W");
-            q.addListener("execute", this.loadWikiCB, this);
+            qc = new qx.ui.core.Command("Ctrl+W");
+            qc.addListener("execute", this.loadWikiCB, this);
             btn = new qx.ui.menu.Button("Load Wikipedia Article",
-                "pf/image/wikipedia.png", q);
+                "pf/image/wikipedia.png", qc);
             submenu.add(btn);
             this.loadWikiButton = btn;
@@ -2110,8 +2110,8 @@
 
             submenu.add(new qx.ui.menu.Separator);
-            q = new qx.ui.core.Command("Ctrl+L");
-            q.addListener("execute", this.drawCB, this);
+            qc = new qx.ui.core.Command("Ctrl+L");
+            qc.addListener("execute", this.drawCB, this);
             btn = new qx.ui.menu.Button("Redraw Plot",
-                "pf/image/tab-plot.png", q);
+                "pf/image/tab-plot.png", qc);
             submenu.add(btn);
             this.redrawButton = btn;
@@ -2131,11 +2131,11 @@
             submenu = new qx.ui.menu.Menu;
             this.doc.add(submenu);
-            q = new qx.ui.core.Command("F1");
-            q.addListener("execute", function(ev) {
+            qc = new qx.ui.core.Command("F1");
+            qc.addListener("execute", function(ev) {
                     var url = "resource/pf/html/ug.html";
                     var w = qx.bom.Window.open(url, null, nvOptions);
                 }, this);
             btn = new qx.ui.menu.Button("Help Contents",
-                "pf/image/help.png", q);
+                "pf/image/help.png", qc);
             submenu.add(btn);
             btn = new qx.ui.menu.Button("Reference Paper",
Index: source/class/pf/base/Species.js
===================================================================
--- source/class/pf/base/Species.js	(revision 293)
+++ source/class/pf/base/Species.js	(revision 341)
@@ -26,7 +26,7 @@
         },
         
-        setQ: function(q)
-        {
-            this._q = parseInt(q);
+        setQ: function(Q)
+        {
+            this._q = parseInt(Q);
             this._update();
         },
@@ -199,5 +199,5 @@
         
     
-    construct: function(id, m, q, n, t)
+    construct: function(id, m, Q, n, t)
     {
         if (m <= 0.0 || n < 0.0 || t <= 0.0) {
@@ -207,5 +207,5 @@
         this.id = id;
         this._m  = m;
-        this._q  = q;
+        this._q  = Q;
         this._n  = n;
         this._t  = t;