Index: source/class/pf/Application.js
===================================================================
--- source/class/pf/Application.js	(revision 366)
+++ source/class/pf/Application.js	(revision 372)
@@ -2286,6 +2286,6 @@
         {
             if (this.prefs) {
-                var prefstr = qx.lang.Json.stringify(this.prefs);
-                qx.bom.Cookie.set("pf_prefs", prefstr, 3650);
+                var storage = qx.bom.storage.Web.getLocal();
+                storage.setItem("pf_prefs", this.prefs);
             }
         },
@@ -2293,10 +2293,7 @@
         loadPreferences : function()
         {
-            var prefstr = qx.bom.Cookie.get("pf_prefs");
-            
-            if (prefstr) {
-                this.prefs = qx.lang.Json.parse(prefstr);
-            }
-            
+            var storage = qx.bom.storage.Web.getLocal();
+            this.prefs = storage.getItem("pf_prefs");
+
             if (!this.prefs) {
                 this.prefs = new Object;
@@ -2335,8 +2332,7 @@
         {
             var sfavs = this.exportFavorites();
-            
-            var favstr = qx.lang.Json.stringify(sfavs);
-            
-            qx.bom.Cookie.set("pf_favs", favstr, 3650);
+
+            var storage = qx.bom.storage.Web.getLocal();
+            storage.setItem("pf_favs", sfavs);
         },
         
@@ -2344,10 +2340,9 @@
         {
             this.favorites = new Array;
-            
-            var favstr = qx.bom.Cookie.get("pf_favs");
-            
-            if (favstr) {
-                var sfavs = qx.lang.Json.parse(favstr);
-                
+
+            var storage = qx.bom.storage.Web.getLocal();
+            var sfavs = storage.getItem("pf_favs");
+            
+            if (sfavs) {
                 this.importFavorites(sfavs);
             }
@@ -2374,5 +2369,5 @@
             configPtr.time = time;
             
-            var cookie_name = "pf_config_" + configPtr.hash;
+            var item_name = "pf_config_" + configPtr.hash;
             
             var config = new Object;
@@ -2403,7 +2398,7 @@
                 config.favorites = this.exportFavorites();
             }
-            
-            var configstr = qx.lang.Json.stringify(config);
-            qx.bom.Cookie.set(cookie_name, configstr, 3650);
+
+            var storage = qx.bom.storage.Web.getLocal();
+            storage.setItem(item_name, config);
             
             this.prefs.currentConfigName = name;
@@ -2420,16 +2415,14 @@
             }
 
-            var cookie_name = "pf_config_" + configPtr.hash;
-
-            var configstr = qx.bom.Cookie.get(cookie_name);
-            if (!configstr) {
-                // Cookie was deleted???
+            var item_name = "pf_config_" + configPtr.hash;
+
+            var storage = qx.bom.storage.Web.getLocal();
+            var config = storage.getItem(item_name);
+
+            if (!config) {
+                // Data deleted???
                 qx.lang.Array.remove(this.prefs.configPtrs, configPtr);
                 return false;
-            }
-
-            var config = qx.lang.Json.parse(configstr);
-            
-            if (config) {
+            } else {
                 var au_fn, au_fT, au_fM, au_fB;
                 if (!config.format_v) {
@@ -2474,6 +2467,4 @@
 
                 return true;
-            } else {
-                return false;
             }
         },
@@ -2483,7 +2474,10 @@
             var configPtr = this.getConfig(name);
             if (configPtr) {
+
+                var storage = qx.bom.storage.Web.getLocal();
+
                 qx.lang.Array.remove(this.prefs.configPtrs, configPtr);
-                var cookie_name = "pf_config_" + configPtr.hash;
-                qx.bom.Cookie.del(cookie_name);
+                var item_name = "pf_config_" + configPtr.hash;
+                storage.removeItem(item_name);
                 this.savePreferences();
             }
@@ -2615,6 +2609,8 @@
                             this.prefs.configPtrs.push(configPtr);
                             
-                            var cookie_name = "pf_config_" + configPtr.hash;
-                            qx.bom.Cookie.set(cookie_name, configstr, 3650);
+                            var item_name = "pf_config_" + configPtr.hash;
+
+                            var storage = qx.bom.storage.Web.getLocal();
+                            storage.setItem(item_name, config);
                             
                             this.savePreferences();
@@ -2684,12 +2680,13 @@
                         }
 
-                        var cookie_name = "pf_config_" + configPtr.hash;
-
-                        var configstr = qx.bom.Cookie.get(cookie_name);
-                        if (!configstr) {
+                        var item_name = "pf_config_" + configPtr.hash;
+
+                        var storage = qx.bom.storage.Web.getLocal();
+                        var config = storage.getItem(item_name);
+
+                        if (!config) {
                             return false;
                         }
 
-                        var config = qx.lang.Json.parse(configstr);
                         config.name = name;
 